package com.fxy.baselibrary.util;

import android.content.Context;
import android.util.DisplayMetrics;

/**
 * 项目名称：FingerShipWork
 * 类描述：
 * 创建人：ww
 * 创建时间：2018/3/16 15:44
 * 修改人：COMP-021-2002
 * 修改时间：2017/8/28 17:55
 * 修改备注：
 */

public class PxAndDp {

//    private Context mContext;
//    private static PxAndDp pxAndDp;
//
//    public static PxAndDp getInstance(Context context) {
//        return null == pxAndDp ? new PxAndDp(context) : pxAndDp;
//    }
//
//    private PxAndDp(Context context) {
//        mContext = context;
//    }

    public static int pxToDp(Context context, int px) {
        DisplayMetrics displayMetrics = context.getResources().getDisplayMetrics();
        int dp = Math.round(px / (displayMetrics.xdpi / DisplayMetrics.DENSITY_DEFAULT));
        return dp;
    }

    public static int dpToPx(Context context, int dp) {
        DisplayMetrics displayMetrics = context.getResources().getDisplayMetrics();
        int px = Math.round(dp * (displayMetrics.xdpi / DisplayMetrics.DENSITY_DEFAULT));
        return px;
    }
}
